import React from 'react';
import { HeaderExtraConfigType } from '../types';
interface HeaderColRendererProps {
    /** Name for the giving column */
    name: string;
    withSort?: boolean;
    sortValue?: 0 | 1 | -1;
    headerExtraConfig?: HeaderExtraConfigType;
}
/**
 * Renders a single column for the header, renders the icon if the header requires sort
 * @author Alejandro Quiroz <alejandro.devop@gmail.com>
 * @version 1.0.0
 * @param props
 * @returns
 */
declare const HeaderColRenderer: React.FC<HeaderColRendererProps>;
export default HeaderColRenderer;
