import React from 'react';
interface HeaderRendererProps {
    withActions: boolean;
}
/**
 *  Renders the headers for the grid, there is nothing special, except for the
 * validation, if the grid includes actions, this renderer add an extra column at the end.
 * @author Alejandro Quiroz <alejandro.devop@gmail.com>
 * @version 1.0.0
 * @param props
 * @returns
 */
declare const HeaderRenderer: React.FC<HeaderRendererProps>;
export default HeaderRenderer;
